<!DOCTYPE html>
<html lang="pt">

<head>
	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
	<meta name="description" content="Responsive Admin &amp; Dashboard Template based on Bootstrap 5">
	<meta name="author" content="AdminImportal">
	<meta name="keywords" content="gerenciador do portal">
	<link rel="preconnect" href="https://fonts.gstatic.com">
	<link rel="shortcut icon" href="img/icons/icon-48x48.png" />

	<title>Area Restrita | Câmara Municipal de Jacobina</title>

	<link href="static/css/app.css" rel="stylesheet">
	<link href="https://fonts.googleapis.com/css2?family=Inter:wght@300;400;600&display=swap" rel="stylesheet">
	<script src="src/Services/ckeditor5/ckeditor.js"></script>
	<link type="text/css" href="src/Services/ckeditor5/sample/css/sample.css" rel="stylesheet" media="screen" />
	<link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css" rel="stylesheet">
	<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-9ndCyUaIbzAi2FUVXJi0CjmCapSmO7SnpJef0486qhLnuZ2cdeRhO02iuK6FUUVM" crossorigin="anonymous">
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js" integrity="sha384-geWF76RCwLtnZ8qwWowPQNguL3RmwHVBC9FhGdlKrxdiJJigb/j/68SIy3Te4Bkz" crossorigin="anonymous"></script>

</head>

<body>
	<main class="d-flex w-100">
		<?php
		// Verifique se há uma mensagem de erro na URL
		if (isset($_GET['error'])) {
			$errorMessage = $_GET['error'];
		} else {
			$errorMessage = "";
		}
		?>
		<div class="container d-flex flex-column">
			<div class="row vh-100">
				<div class="col-sm-10 col-md-8 col-lg-6 col-xl-5 mx-auto d-table h-100">
					<div class="d-table-cell align-middle">

						<div class="text-center mt-4">
							<center> <img src="https://camaradearamari.ba.gov.br/brasao_email/logo_nome.png" width="195" height="104" alt="Brasão" class="brasao"></center>
							<h1 class="h2">Administração!</h1>
							<p class="lead">
								informe sua conta e continue
							</p>
						</div>
						<?php if (!empty($errorMessage)) { ?>
							<div class="alert alert-danger" role="alert">
								<?php echo $errorMessage; ?>
							</div>
						<?php } ?>


						<div class="card">
							<div class="card-body">
								<div class="m-sm-3">
									<form action="login_seguro" method="post">
										<div class="mb-3">
											<label class="form-label">Email</label>
											<input class="form-control form-control-lg" type="email" name="email" placeholder="Insira seu Email" />
										</div>
										<div class="mb-3">
											<label class="form-label">Senha</label>
											<input class="form-control form-control-lg" type="password" name="senha" placeholder="Insira sua senha" />
										</div>
										<div>
											<div class="form-check align-items-center">
												<input id="customControlInline" type="checkbox" class="form-check-input" value="remember-me" name="remember-me" checked>
												<label class="form-check-label text-small" for="customControlInline">Lembrar de Mim</label>
											</div>
										</div>
										<div class="d-grid gap-2 mt-3">
											<button type="submit" class="btn btn-lg btn-primary">Login</button>
										</div>
									</form>
								</div>
							</div>
						</div>
						<div class="text-center mb-3">
							Ainda não tem Login? <a href="cadastro.php">Clique aqui para se Cadastrar</a>
						</div>
					</div>
				</div>
			</div>
		</div>
	</main>

	<script src="static/js/app.js"></script>

</body>

</html>