<?php include('src/View/Layout/main.php');
include('src/Models/Legislatura.php');
?>



<main class="content">
    <br>
    <div class="col-sm-6">
        <?php // Verifique se a mensagem está definida na sessão
        if (isset($_SESSION['success_message'])) {
            echo "<div class='alert success'>" . $_SESSION['success_message'] . "<span class='close-icon'><i class='fas fa-times'></i></span></div>";
            unset($_SESSION['success_message']);
        }

        // Mensagem de erro
        if (isset($_SESSION['error_message'])) {
            echo "<div class='alert error'>" . $_SESSION['error_message'] . "<span class='close-icon'><i class='fas fa-times'></i></span></div>";
            unset($_SESSION['error_message']);
        }
        ?>
    </div>
    <button type="button" class="btn btn-primary btn-lg float-end" data-bs-toggle="modal" data-bs-target="#exampleModal">
        <i class="me-2" data-feather="user-plus"></i>Novo
    </button>
    <h1 class="h3 mb-3">Legislatura<i class="align-middle ms-2" data-feather="user"></i></h1>
    <div class="row mt-4">
        <div class="col-12">
            <div class="card w-100">
                <div class="card-header">
                    <h5 class="card-title mb-0 fw-bold text-primary">Gerenciar Legislaturas</h5>
                    <div class="card-body">
                        <!-- Modal -->
                        <div class="modal fade" id="exampleModal" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="staticBackdropLabel" aria-hidden="true">
                            <div class="modal-dialog">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h1 class="modal-title fs-5" id="exampleModal">Nova Legislatura</h1>
                                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                    </div>
                                    <div class="modal-body">
                                        <form action="src/Controllers/legislaturaController.php" method="post" enctype="multipart/form-data">
                                            <div class="mb-3">
                                                <label for="desc" class="form-label fw-bold">Decrição</label>
                                                <input type="text" name="desc" class="form-control" id="desc" aria-describedby="">
                                            </div>
                                            <div class="mb-3">
                                                <label for="dateini" class="form-label fw-bold">Ano do
                                                    início</label>
                                                <input type="date" name="inicio" class="form-control" id="dateini" aria-describedby="">
                                            </div>
                                            <div class="mb-3">
                                                <label for="datefim" class="form-label fw-bold">Ano do fim</label>
                                                <input type="date" name="fim" class="form-control" id="datefim" aria-describedby="">
                                            </div>
                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-danger" data-bs-dismiss="modal">Cancelar</button>
                                        <button type="submit" class="btn btn-primary"><i class="me-2" data-feather="user-plus"></i>Criar</button>
                                        </form>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!-- Modal de Confirmação -->
                        <div class="modal fade" id="modal-confirmacao" tabindex="-1" aria-labelledby="modal-confirmacao-label" aria-hidden="true">
                            <div class="modal-dialog">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h5 class="modal-title" id="modal-confirmacao-label">Confirmação de Exclusão
                                        </h5>
                                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                    </div>
                                    <div class="modal-body">
                                        <p>Deseja realmente excluir esta legislatura?</p>
                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cancelar</button>
                                        <button id="btn-confirmar-exclusao" type="button" class="btn btn-danger">Excluir</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <section>
                            <table class="table table-hover">
                                <thead>
                                    <tr>
                                        <th class="col-2">DESCRIÇÃO</th>
                                        <th class="col-1">INICIO</th>
                                        <th class="col">FIM</th>
                                        <th></th>
                                        <th></th>
                                        <th></th>
                                        <th></th>
                                        <th></th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php
                                    if ($result->num_rows > 0) {
                                        while ($row = $result->fetch_assoc()) {
                                            $inicio = $row['inicio'];
                                            $fim = $row['fim'];
                                            echo '<tr>
                                        <th scope="row" class="text-primary">' . $row['descricao'] . '</th>
                                        <td>' . $date_inicio = date('m/Y', strtotime($inicio)) . '</td>
                                        <td>' . $date_fim = date('m/Y', strtotime($fim)) . '</td>
                                        <td class=""><a class="text-decoration-none" href="parlamentares?periodo=' . $row['id'] . '"><button
                                                    type="button" class="btn btn-success btn-sm">
                                                    <i class="me-2" data-feather="users"></i>PARLAMENTARES
                                                </button></a></td>
                                        <td>
                                            <!--<a class="text-decoration-none" href="comissoes?periodo=' . $row['id'] . '"><button type="button"
                                                    class="btn btn-secondary btn-sm">
                                                    <i class="me-2" data-feather="layers"></i>COMISSÕES
                                                </button></a>-->
                                        </td>
                                        <td>
                                            <a class="text-decoration-none" href="mesadiretora?periodo=' . $row['id'] . '"><button type="button"
                                                    class="btn btn-warning btn-sm">
                                                    <i class="me-2" data-feather="trending-up"></i>MESA DIRETORA
                                                </button></a>
                                        </td>
                                        <td>
                                        <a class="text-decoration-none" href="editlegislatura?periodo=' . $row['id'] . '">
                                            <button type="button" class="btn btn-primary btn-sm">
                                                <i class="me-2" data-feather="edit"></i>EDITAR
                                            </button>
                                        </a>
                                    </td>
                                    <td>
                                        <button class="btn btn-danger btn-excluir" data-id="' . $row["id"] . '">Excluir</button>
                                    </td>
                                        </tr>';
                                        }


                                        echo "</tbody>";
                                        echo "</table>";
                                    } else {
                                        echo "Nenhuma Legislatura foi cadastrada.";
                                        exit;
                                    }
                                    ?>
                        </section>


                    </div>
                </div>
            </div>
        </div>
    </div>
</main>
</body>
<script>
    $(document).ready(function() {
        // Captura o clique no botão de exclusão
        $('.btn-excluir').click(function() {
            // Obtém o ID da transmissão a ser excluída
            var id = $(this).data('id');

            // Exibe o modal de confirmação
            $('#modal-confirmacao').modal('show');

            // Captura o clique no botão de confirmação no modal
            $('#btn-confirmar-exclusao').click(function() {
                // Redireciona para o arquivo tvcamaraController.php com o parâmetro id definido
                window.location.href = 'src/Controllers/legislaturaController.php?id=' + id;
            });
        });
    });
</script>
<!-- Modal de Confirmação -->
<div class="modal fade" id="modal-confirmacao" tabindex="-1" aria-labelledby="modal-confirmacao-label" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="modal-confirmacao-label">Confirmação de Exclusão</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <p>Deseja realmente excluir esta transmissão?</p>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cancelar</button>
                <button id="btn-confirmar-exclusao" type="button" class="btn btn-danger">Excluir</button>
            </div>
        </div>
    </div>
</div>