<?php include('src/View/Layout/main.php'); ?>


<main class="content">
    <button onclick="goBack()" class="btn btn-dark mb-3">Voltar <i data-feather="corner-up-left" class="ms-2"></i></button>
    <br>
    <button type="button" class="btn btn-primary btn-lg float-end" data-bs-toggle="modal" data-bs-target="#cad_novopar">
        <i class="me-2" data-feather="user-plus"></i>Novo membro
    </button>
    <h1 class="h3 mb-3">Mesa Diretora<i class="align-middle ms-2" data-feather="trending-up"></i></h1>
    <div class="row mt-4">
        <div class="col-12">
            <?php // Verifique se a mensagem está definida na sessão
            if (isset($_SESSION['success_message'])) {
                echo "<div class='alert success'>" . $_SESSION['success_message'] . "<span class='close-icon'><i class='fas fa-times'></i></span></div>";
                unset($_SESSION['success_message']);
            }

            // Mensagem de erro
            if (isset($_SESSION['error_message'])) {
                echo "<div class='alert error'>" . $_SESSION['error_message'] . "<span class='close-icon'><i class='fas fa-times'></i></span></div>";
                unset($_SESSION['error_message']);
            }
            ?>
            <div class="card w-100">
                <div class="card-header">
                    <h5 class="card-title mb-0 fw-bold text-primary">Gerenciar Mesa Diretora</h5>
                    <div class="card-body">

                        <!-- Modal de Confirmação -->
                        <div class="modal fade" id="modal-confirmacao" tabindex="-1" aria-labelledby="modal-confirmacao-label" aria-hidden="true">
                            <div class="modal-dialog">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h5 class="modal-title" id="modal-confirmacao-label">Confirmação de Exclusão
                                        </h5>
                                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                    </div>
                                    <div class="modal-body">
                                        <p>Deseja realmente excluir?</p>
                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cancelar</button>
                                        <button id="btn-confirmar-exclusao" type="button" class="btn btn-danger">Excluir</button>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="modal fade" id="cad_novopar" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="staticBackdropLabel" aria-hidden="true">
                            <div class="modal-dialog">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h1 class="modal-title fs-5" id="cad_novopar">Novo mebro da Mesa Diretora</h1>
                                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                    </div>
                                    <div class="modal-body">
                                        <form action="src/Controllers/mesadiretoraController.php" method="post">
                                            <div class="input-group mb-3">
                                                <?php $id=$_GET['periodo'];?>
                                            <input type="hidden" name="legislatura" value="<?php echo $id;?>">
                                                <?php
                                                include('src/Config/config.php');

                                                // Consulta para selecionar os parlamentares
                                                $sql = "SELECT id, nome_completo FROM parlamentares";
                                                $result = $conn->query($sql);
                                                ?>

                                                <select class="form-select" name="parlamentar" id="inputGroupSelect01">
                                                    <option selected>SELECIONAR</option>
                                                    <?php
                                                    if ($result->num_rows > 0) {
                                                        while ($row = $result->fetch_assoc()) {
                                                            echo '<option value="' . $row['id'] . '">' . $row['nome_completo'] . '</option>';
                                                        }
                                                    }
                                                    ?>
                                                </select>

                                                <?php
                                                // Fecha a conexão com o banco de dados
                                                $conn->close();
                                                ?>
                                            </div>
                                            <div class="input-group mb-3">
                                                <?php
                                                include('src/Config/config.php');

                                                // Consulta para selecionar os cargos
                                                $sql = "SELECT id, nome FROM cargos";
                                                $result = $conn->query($sql);
                                                ?>

                                                <label class="input-group-text" for="inputGroupSelect01">CARGO</label>
                                                <select class="form-select"  name="cargo" id="inputGroupSelect01">
                                                    <option selected>SELECIONAR</option>
                                                    <?php
                                                    if ($result->num_rows > 0) {
                                                        while ($row = $result->fetch_assoc()) {
                                                            echo '<option value="' . $row['id'] . '">' . $row['nome'] . '</option>';
                                                        }
                                                    }
                                                    ?>
                                                </select>

                                                <?php
                                                // Fecha a conexão com o banco de dados
                                                $conn->close();
                                                ?>
                                            </div>

                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-danger" data-bs-dismiss="modal">Cancelar</button>
                                        <button type="submit" class="btn btn-primary"><i class="me-2" data-feather="user-plus"></i>Criar</button>
                                        </form>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <section class="">
                            <?php
                            $id = $_GET['periodo'];
                            include('src/Models/Mesadiretora.php');
                            ?>

                        </section>


                    </div>
                </div>
            </div>
        </div>
    </div>
</main>
</body>