<?php include('src/View/Layout/main.php'); ?>
<script src="src/Services/ckeditor5/ckeditor.js"></script>
<link type="text/css" href="src/Services/ckeditor5/sample/css/sample.css" rel="stylesheet" media="screen" />
<main class="content">
    <div class="container-fluid p-0">
        <h1 class="h3 mb-3">Noticias <i class="align-middle" data-feather="book"></i></h1>
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-header">
                        <h5 class="card-title mb-0">Gerenciar Notícias</h5>
                        <div class="container text-center">
                            <div class="row align-items-start">
                                <div class="col-sm-4">
                                   <button type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#exampleModal">
                                        Cadastrar Nova Notícia
                                    </button>
                                </div>
                                <div class="col-sm-4">
                                    <button type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#exampleModal2">
                                        Inserir mais Imagens
                                    </button>
                                </div>
                                </div>
                                <div class="col-sm-6">
                                    <?php // Verifique se a mensagem está definida na sessão
                                    if (isset($_SESSION['success_message'])) {
                                        echo "<div class='alert success'>" . $_SESSION['success_message'] . "<span class='close-icon'><i class='fas fa-times'></i></span></div>";
                                        unset($_SESSION['success_message']);
                                    }

                                    // Mensagem de erro
                                    if (isset($_SESSION['error_message'])) {
                                        echo "<div class='alert error'>" . $_SESSION['error_message'] . "<span class='close-icon'><i class='fas fa-times'></i></span></div>";
                                        unset($_SESSION['error_message']);
                                    }
                                    ?>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="card-body">
                        <!-- Modal -->
                        <div class="modal fade col-sm-12" id="exampleModal" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="staticBackdropLabel" aria-hidden="true">
                            <div class="modal-dialog">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h1 class="modal-title fs-5" id="exampleModal">Nova Notícia</h1>
                                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                    </div>
                                    <div class="modal-body">
                                        <form action="src/Controllers/noticiaController.php" method="POST" enctype="multipart/form-data">
                                            <div class="mb-3">
                                                <label for="exampleInputEmail1" class="form-label">Título da Notícia</label>
                                                <input type="text" name="nome" class="form-control" id="exampleInputEmail1" aria-describedby="emailHelp">
                                                <div id="emailHelp" class="form-text">Informe o Título da Notícia.</div>
                                            </div>
                                            <div class="mb-3">
                                                <label for="exampleInputPassword1" class="form-label">Descrição</label>
                                                <input type="text" name="descricao" class="form-control" id="exampleInputPassword1">
                                            </div>
                                            <div class="mb-3">
                                                <label for="exampleInputEmail1" class="form-label">Imagem da Notícia</label>
                                                <input type="file" name="imagem" class="form-control" id="exampleInputEmail1" aria-describedby="emailHelp">
                                                <div id="emailHelp" class="form-text">Informe a Imagem da Notícia.</div>
                                            </div>
                                            <div class="mb-3">
                                                <label for="exampleInputPassword1" class="form-label">Texto da Notícia</label>
                                                <textarea name="texto" id="editor" class="ckeditor"></textarea>
                                            </div>
                                            <div class="modal-footer">
                                                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Fechar</button>
                                                <button type="submit" class="btn btn-primary" name="inserir">Salvar</button>
                                            </div>
                                        </form>

                                    </div>
                                </div>
                            </div>
                        </div>


                        <div class="modal fade col-sm-12" id="exampleModal2" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="staticBackdropLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h1 class="modal-title fs-5" id="exampleModal">Anexar nova Foto</h1>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <form action="src/Controllers/anexonoticiaController.php" method="POST" enctype="multipart/form-data">
                    <div class="mb-3">
                        <label for="exampleInputEmail1" class="form-label">Noticia</label>
                        <?php
                        echo '<select class="form-control" name="noticia">'; // Open the select element here
                        echo '<option value="0">SELECIONE UMA MATERIA</option>';
                        // Query SQL to select data from the noticias table
                        $sql = "SELECT `id`, `nome`, `descricao`, `orgao_emissor`, `texto`, `created_at` FROM `noticias` ORDER BY id DESC";
                        $result = $conn->query($sql);

                        // Check if there are records returned by the query
                        if ($result->num_rows > 0) {
                            while ($row = $result->fetch_assoc()) {
                                echo '<option value="' . $row['id'] . '">' . $row["nome"] . '</option>';
                            }
                        } else {
                            echo "Nenhuma Noticia foi cadastrada.";
                        }
                        ?>
                        </select> <!-- Close the select element here -->
                    </div>
                    <div class="mb-3">
                        <label for="exampleInputEmail1" class="form-label">Imagem da Notícia</label>
                        <input type="file" name="imagem" class="form-control" id="exampleInputEmail1" aria-describedby="emailHelp">
                        <div id="emailHelp" class="form-text">Informe a Imagem da Notícia.</div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Fechar</button>
                        <button type="submit" class="btn btn-primary" name="inserir">Salvar</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>

                        <!-- Modal de Confirmação -->
                        <div class="modal fade" id="modal-confirmacao" tabindex="-1" aria-labelledby="modal-confirmacao-label" aria-hidden="true">
                            <div class="modal-dialog">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h5 class="modal-title" id="modal-confirmacao-label">Confirmação de Exclusão</h5>
                                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                    </div>
                                    <div class="modal-body">
                                        <p>Deseja realmente excluir esta Noticia?</p>
                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cancelar</button>
                                        <button id="btn-confirmar-exclusao" type="button" class="btn btn-danger">Excluir</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <?php
                        echo "<table id='tabela' class='display'>";
                        echo "<thead>";
                        echo "<tr>";
                        echo "<th>Titulo</th>";
                        echo "<th>Data da Noticia</th>";
                        echo "<th>Descrição</th>";
                        echo "<th>Ações</th>"; // Nova coluna para o botão de exclusão
                        echo "</tr>";
                        echo "</thead>";
                        echo "<tbody>";
                        ?>
                        <?php
                        // Query SQL para selecionar os dados da tabela tv_camaras
                        $sql = "SELECT `id`, `nome`, `descricao`, `orgao_emissor`, `texto`, `created_at` FROM `noticias` ORDER BY id DESC";
                        $result = $conn->query($sql);

                        // Verifica se existem registros retornados pela consulta
                        if ($result->num_rows > 0) {
                            while ($row = $result->fetch_assoc()) {
                                echo "<tr>";
                                echo "<td>" . $row["nome"] . "</td>";
                                echo "<td>" . $row["created_at"] . "</td>";
                                echo "<td>" . $row["descricao"] . "</td>";
                                echo "<td><button class='btn btn-danger btn-excluir' data-id='" . $row["id"] . "'>Excluir</button></td>"; // Botão de exclusão
                                echo '<td><button class="btn btn-primary btn-editar" data-id="' . $row['id'] . '" data-titulo="' . $row['nome'] . '" data-descricao="' . $row['descricao'] . '" data-texto="' . $row['texto'] . '">Editar</button></td>';
                                echo "</tr>";
                            }


                            echo "</tbody>";
                            echo "</table>";
                        } else {
                            echo "Nenhuma Noticia foi cadastrada.";
                        }

                        // Fecha a conexão com o banco de dados
                        $conn->close();
                        ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- Modal de Edição -->
    <div class="modal fade" id="modal-edicao" tabindex="-1" aria-labelledby="modal-edicao-label" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="modal-edicao-label">Editar Notícia</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <form id="form-edicao" action="src/Controllers/noticiaController.php" method="POST">
                        <input type="hidden" name="url_img_atual" id="url-img-atual" value="<?php echo $url_img_atual; ?>">
                        <input type="hidden" name="id" id="noticia-id">
                        <div class="mb-3">
                            <label for="edit-titulo" class="form-label">Título da Notícia</label>
                            <input type="text" name="nome" class="form-control" id="edit-titulo" aria-describedby="edit-titulo-help">
                            <div id="edit-titulo-help" class="form-text">Informe o Título da Notícia.</div>
                        </div>
                        <div class="mb-3">
                            <label for="edit-descricao" class="form-label">Descrição</label>
                            <input type="text" name="descricao" class="form-control" id="edit-descricao">
                        </div>
                        <div class="mb-3">
                            <label for="edit-imagem" class="form-label">Imagem da Notícia</label>
                            <input type="file" name="imagem" class="form-control" id="edit-imagem" aria-describedby="edit-imagem-help">
                            <div id="edit-imagem-help" class="form-text">Informe a Imagem da Notícia.</div>
                        </div>
                        <div class="mb-3">
                            <label for="edit-texto" class="form-label">Texto da Notícia</label>
                            <textarea name="texto" id="edit-texto" class="ckeditor"></textarea>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cancelar</button>
                            <button type="submit" class="btn btn-primary" name="atualizar">Salvar</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>

    </div>
    </div>
    </div>
    </div>
</main>
</body>
<script>
    $(document).ready(function() {
        // Captura o clique no botão de exclusão
        $('.btn-excluir').click(function() {
            // Obtém o ID da transmissão a ser excluída
            var id = $(this).data('id');

            // Exibe o modal de confirmação
            $('#modal-confirmacao').modal('show');

            // Captura o clique no botão de confirmação no modal
            $('#btn-confirmar-exclusao').click(function() {
                // Redireciona para o arquivo tvcamaraController.php com o parâmetro id definido
                window.location.href = 'src/Controllers/noticiaController.php?id=' + id;
            });
        });

        // Captura o clique no botão de edição
        $(document).on('click', '.btn-editar', function() {
            // Obtém os dados da notícia a ser editada
            var id = $(this).data('id');
            var titulo = $(this).data('titulo');
            var descricao = $(this).data('descricao');
            var texto = $(this).data('texto');

            // Preenche os campos do formulário de edição com os dados da notícia
            $('#noticia-id').val(id);
            $('#edit-titulo').val(titulo);
            $('#edit-descricao').val(descricao);
            $('#edit-texto').val(texto);

            // Atualizar CKEditor com o conteúdo do texto
            ClassicEditor
                .create(document.querySelector('#edit-texto'))
                .then(editor => {
                    editor.setData(texto);
                })
                .catch(error => {
                    console.error(error);
                });

            // Exibe o modal de edição
            $('#modal-edicao').modal('show');
        });
    });
</script>
<script>
    ClassicEditor
        .create(document.querySelector('#editor'))
        .catch(error => {
            console.error(error);
        });
</script>

</html>