<?php include('src/View/Layout/main.php'); ?>
<div class="col-sm-6">
    <?php // Verifique se a mensagem está definida na sessão
    if (isset($_SESSION['success_message'])) {
        echo "<div class='alert success'>" . $_SESSION['success_message'] . "<span class='close-icon'><i class='fas fa-times'></i></span></div>";
        unset($_SESSION['success_message']);
    }

    // Mensagem de erro
    if (isset($_SESSION['error_message'])) {
        echo "<div class='alert error'>" . $_SESSION['error_message'] . "<span class='close-icon'><i class='fas fa-times'></i></span></div>";
        unset($_SESSION['error_message']);
    }
    ?>
</div>
<main class="content">
    <div class="container-fluid p-0">
        <h1 class="h3 mb-3">Serviços<i class="align-middle" data-feather="menu"></i></h1>
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-header">
                        <h5 class="card-title mb-0">Gerenciar Serviços</h5>
                        <div class="container text-center">
                            <div class="row align-items-start">
                                <div class="col-sm-4">
                                    <br>
                                    <button type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#exampleModal">
                                        Cadastrar Novo Serviços
                                    </button>
                                </div>
                                <div class="col-sm-4">
                                    <br>
                                    <button type="button" class="btn btn-info" data-bs-toggle="modal" data-bs-target="#newicon">
                                        Cadastrar novo ícone
                                    </button>
                                </div>

                            </div>
                        </div>
                    </div>
                    <div class="card-body">
                        <!-- Modal -->
                        <div class="modal fade" id="exampleModal" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="staticBackdropLabel" aria-hidden="true">
                            <div class="modal-dialog">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h1 class="modal-title fs-5" id="exampleModal">Novo Serviços</h1>
                                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                    </div>
                                    <div class="modal-body">
                                        <form action="src/Controllers/servicosController.php" method="POST">
                                            <div class="mb-3">
                                                <label for="exampleInputEmail1" class="form-label">Nome do
                                                    Serviço</label>
                                                <input type="text" name="label" class="form-control" id="exampleInputEmail1" aria-describedby="emailHelp">
                                                <div id="emailHelp" class="form-text">Informe a Descrição da Sessão.
                                                </div>
                                            </div>
                                            <div class="mb-3">
                                                <label for="exampleInputPassword1" class="form-label">Link do Serviço
                                                    (use o link completo http:// ou https:// <strong>Preferencia HTTPS -
                                                        se for link do proprio portal, coloque somente o nome, exemplo:
                                                        "esic", "diario")</strong></label>
                                                <input type="text" name="url" class="form-control" id="exampleInputPassword1">
                                            </div>
                                            <div class="mb-3">
                                                <label for="exampleInputEmail1" class="form-label">DESTINAÇÃO</label>
                                                <select type="text" name="group" class="form-control" id="exampleInputEmail1" aria-describedby="emailHelp">
                                                    <option>SELECIONE UM LOCAL PARA O PORTAL</option>
                                                    <option value="social">CIDADÕES OU EMPRESAS</option>
                                                    <option value="servidor">SERVIDOR</option>
                                                </select>
                                            </div>
                                            <div class="mb-3">
                                                <img id="preview" src="" alt="Preview da Imagem" width="200" height="200">
                                                <select id="imageSelect" name="icon" onchange="previewImage()">
                                                    <option value="">Selecione uma Icone</option>
                                                    <?php
                                                    // Caminho para a pasta onde as imagens estão armazenadas
                                                    $pastaImagens = "../public/images/icons_services/";

                                                    // Obter lista de arquivos na pasta
                                                    $arquivos = glob($pastaImagens . "*");

                                                    // Iterar sobre os arquivos e exibir como opções no select
                                                    foreach ($arquivos as $arquivo) {
                                                        $nomeArquivo = basename($arquivo);
                                                        echo "<option value=\"$nomeArquivo\">$nomeArquivo</option>";
                                                    }
                                                    ?>
                                                </select>
                                            </div>


                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Fechar</button>
                                        <button type="submit" class="btn btn-primary" name="inseririservico">Salvar</button>
                                        </form>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!-- Modal de Confirmação -->
                        <div class="modal fade" id="modal-confirmacao" tabindex="-1" aria-labelledby="modal-confirmacao-label" aria-hidden="true">
                            <div class="modal-dialog">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h5 class="modal-title" id="modal-confirmacao-label">Confirmação de Exclusão
                                        </h5>
                                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                    </div>
                                    <div class="modal-body">
                                        <p>Deseja realmente excluir esse Serviço?</p>
                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cancelar</button>
                                        <button id="btn-confirmar-exclusao" type="button" class="btn btn-danger">Excluir</button>
                                    </div>
                                </div>
                            </div>
                        </div>


                        <div class="modal fade" id="newicon" tabindex="-1" aria-labelledby="newicon-label" aria-hidden="true">
                            <div class="modal-dialog modal-dialog-centered">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h5 class="modal-title" id="newicon-label">Cadastro de novo ícone</h5>
                                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                    </div>
                                    <form action="src/Controllers/servicosController.php" method="POST" enctype="multipart/form-data">
                                        <div class="modal-body">
                                            <div class="mb-3">
                                                <label for="formFile" class="form-label">Selecione um ícone e
                                                    confirme</label>
                                                <input class="form-control" type="file" name="documento" id="formFile">
                                            </div>
                                        </div>
                                        <div class="modal-footer">
                                            <button type="button" class="btn btn-danger" data-bs-dismiss="modal">Cancelar</button>
                                            <button type="submit" class="btn btn-success" data-bs-dismiss="modal" name="inseriricone">Confirmar</button>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>


                        <?php
                        echo "<table id='tabela' class='display'>";
                        echo "<thead>";
                        echo "<tr>";
                        echo "<th>URL</th>";
                        echo "<th>NOME</th>";
                        echo "<th>GRUPO</th>";
                        echo "<th></th>";
                        echo "<th>Ações</th>";  // Nova coluna para o botão de exclusão
                        echo "</tr>";
                        echo "</thead>";
                        echo "<tbody>";
                        ?>
                        <?php
                        // Query SQL para selecionar os dados da tabela tv_camaras
                        $sql = "SELECT `id`, `url`, `label`, `icon`, `group`FROM `servicos` ORDER BY id DESC";
                        $result = $conn->query($sql);

                        // Verifica se existem registros retornados pela consulta
                        if ($result->num_rows > 0) {
                            while ($row = $result->fetch_assoc()) {
                                echo "<tr>";
                                echo "<td>" . $row["url"] . "</td>";
                                echo "<td>" . $row["label"] . "</td>";
                                echo "<td>" . $row["group"] . "</td>";
                                echo "<td><button class='btn btn-danger btn-excluir' data-id='" . $row["id"] . "'>Excluir</button></td>"; // Botão de exclusão
                                echo '<td><button   data-bs-toggle="modal" data-bs-target="#modal-edicao" class="btn btn-primary btn-editar" data-id="' . $row['id'] . '" data-label="' . $row['label'] . '" data-url="' . $row['url'] . '" data-group="' . $row['group'] . '"  data-icon="' . $row['icon'] . '">Editar</button></td>';
                                echo "</tr>";
                            }


                            echo "</tbody>";
                            echo "</table>";
                        } else {
                            echo "Nenhuma transmissão foi cadastrada.";
                        }

                        // Fecha a conexão com o banco de dados
                        $conn->close();
                        ?>





                        <div class="modal fade" id="modal-edicao" tabindex="-1" aria-labelledby="modal-edicao-label" aria-hidden="true">
                            <div class="modal-dialog">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h5 class="modal-title" id="modal-edicao-label">Editar Serviços</h5>
                                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                    </div>
                                    <div class="modal-body">
                                        <form id="form-edicao" action="src/Controllers/servicosController.php" method="POST">
                                            <input type="hidden" name="id" id="servico-id">
                                            <div class="mb-3">
                                                <label for="edit-label" class="form-label">Nome atual</label>
                                                <input type="text" name="label" class="form-control" id="edit-label" aria-describedby="edit-label-help">
                                                <small class="form-text">Escreva um novo nome</small>
                                            </div>
                                            <div class="mb-3">
                                                <label for="edit-url" class="form-label">Url atual</label>
                                                <input type="text" name="url" class="form-control" id="edit-url">
                                                <small class="form-text">Escreva uma nova url</small>
                                            </div>
                                            <div class="mb-3">
                                                <label for="edit-group" class="form-label" for="inputGroupSelect01">Grupo atual (Cidadão ou empresa)</label>
                                                <input type="text"  class="form-control" id="edit-group" disabled>
                                                <select class="form-select" id="inputGroupSelect01" name="group">
                                                    <option selected>Selecionar novo grupo</option>
                                                    <option value="social">Cidadão ou Empresa</option>
                                                    <option value="servidor">Servidor</option>
                                                </select>
                                            </div>
                                            <div class="mb-3">
                                                <label for="edit-icon" class="form-label">Ícone</label>
                                                <input type="text" name="icon" class="form-control" id="edit-icon" disabled>
                                                <img id="ver" src="" alt="Preview da Imagem" width="200" height="200">
                                                <select id="verimg" name="icon" onchange="previewImg()">
                                                    <option value="">Selecionar novo ícone</option>
                                                    <?php
                                                    // Caminho para a pasta onde as imagens estão armazenadas
                                                    $pastaImagens = "../public/images/icons_services/";

                                                    // Obter lista de arquivos na pasta
                                                    $arquivos = glob($pastaImagens . "*");

                                                    // Iterar sobre os arquivos e exibir como opções no select
                                                    foreach ($arquivos as $arquivo) {
                                                        $nomeArquivo = basename($arquivo);
                                                        echo "<option value=\"$nomeArquivo\">$nomeArquivo</option>";
                                                    }
                                                    ?>
                                                </select>
                                            </div>

                                            <div class="modal-footer">
                                                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cancelar</button>
                                                <button type="submit" class="btn btn-success" name="atualizar">Salvar</button>
                                            </div>
                                        </form>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    </div>
    </div>
    </div>
    </div>
</main>
</body>
<script>
    // Função para exibir a imagem selecionada
    function previewImage() {
        var selectedImage = $("#imageSelect").val();
        $("#preview").attr("src", "../public/images/icons_services/" + selectedImage);
    }

    function previewImg() {
        var selectedImage = $("#verimg").val();
        $("#ver").attr("src", "../public/images/icons_services/" + selectedImage);
    }

    $(document).ready(function() {
        // Captura o clique no botão de exclusão
        $('.btn-excluir').click(function() {
            // Obtém o ID da transmissão a ser excluída
            var id = $(this).data('id');

            // Exibe o modal de confirmação
            $('#modal-confirmacao').modal('show');

            // Captura o clique no botão de confirmação no modal
            $('#btn-confirmar-exclusao').click(function() {
                // Redireciona para o arquivo tvcamaraController.php com o parâmetro id definido
                window.location.href = 'src/Controllers/servicosController.php?id=' + id;
            });
        });
    });


    $(document).ready(function() {
        // Captura o evento de clique no botão de edição
        // Captura o clique no botão de edição
        $(document).on('click', '.btn-editar', function() {
            // Obtém os dados da notícia a ser editada
            var id = $(this).data('id');
            var label = $(this).data('label');
            var url = $(this).data('url');
            var group = $(this).data('group');
            var icon = $(this).data('icon');

            // Preenche os campos do formulário de edição com os dados da notícia
            $('#servico-id').val(id);
            $('#edit-label').val(label);
            $('#edit-url').val(url);
            $('#edit-group').val(group);
            $('#edit-icon').val(icon);

            // Atualizar CKEditor com o conteúdo do texto
            ClassicEditor
                .create(document.querySelector('#edit-group'))
                .then(editor => {
                    editor.setData(group);
                })
                .catch(error => {
                    console.error(error);
                });
        });
    });
</script>

</html>