<?php

session_start();
include('../Config/config.php');

// Verifica se o formulário foi submetido para inserção de edital
if ($_SERVER["REQUEST_METHOD"] == "POST" && isset($_POST['inseriredital'])) {
    // Obtém os valores dos campos do formulário
    $numero = $_POST['numero'];
    $pa = $_POST['pa'];
    $modalidade = $_POST['modalidade'];
    $objeto = $_POST["objeto"];
    $data = $_POST['data']; // Data e hora atual do navegador

    // Verifica se um arquivo foi enviado
    if (!empty($_FILES["documento"]["name"])) {
        $targetDir = "../../../uploads/editais/"; // Substitua pelo caminho correto
        $targetFile = $targetDir . basename($_FILES["documento"]["name"]);
        $fileType = strtolower(pathinfo($targetFile, PATHINFO_EXTENSION));

        // Verifica se o arquivo é um PDF (você pode adicionar outras extensões permitidas se necessário)
        if ($fileType === 'pdf') {
            if (move_uploaded_file($_FILES["documento"]["tmp_name"], $targetFile)) {
                // O arquivo foi enviado com sucesso, atualiza o campo "documento"
                $documento = $targetFile;
                $date_create = date('Y-m-d H:i:s');
                $status = 'Edital Cadastrado';

                // Usar declaração preparada para evitar injeção de SQL
                $sql = "INSERT INTO licitacoes (numero_processo, modalidade, objeto, data, created_at, pa, edital, status)
                        VALUES (?, ?, ?, ?, ?, ?, ?, ?)";

                // Prepara e executa o comando SQL com declaração preparada
                if ($stmt = $conn->prepare($sql)) {
                    $stmt->bind_param("ssssssss", $numero, $modalidade, $objeto, $data, $date_create, $pa, $documento, $status);
                    if ($stmt->execute()) {
                        $_SESSION['success_message'] = "Edital Cadastrado com Sucesso.";
                        header('Location: ../../edital');
                        exit;
                    } else {
                        $_SESSION['danger_message'] = "Erro ao inserir registro: " . $stmt->error;
                    }
                    $stmt->close();
                } else {
                    $_SESSION['danger_message'] = "Erro na preparação do comando SQL: " . $conn->error;
                }
            } else {
                $_SESSION['danger_message'] = "Erro ao fazer o upload do arquivo.";
            }
        } else {
            $_SESSION['danger_message'] = "Somente arquivos PDF são permitidos.";
        }
    } else {
        $_SESSION['danger_message'] = "Por favor, selecione um arquivo para fazer o upload.";
    }
}

// Verifica se o formulário foi submetido para atualização de edital
if ($_SERVER["REQUEST_METHOD"] == "POST" && isset($_POST['upedital'])) {
    $numero = $_POST['numero'];
    $pa = $_POST['pa'];
    $modalidade = $_POST['modalidade'];
    $objeto = $_POST["objeto"];
    $data = $_POST['data'];
    $status = $_POST['status'];
    $id = $_POST['id'];

    $sql = "UPDATE `licitacoes` SET `numero_processo`=?, `modalidade`=?, `objeto`=?, `data`=?, `updated_at`=NOW(), `pa`=?, `status`=? WHERE id = ?";

    // Prepara e executa o comando SQL com declaração preparada
    if ($stmt = $conn->prepare($sql)) {
        $stmt->bind_param("ssssssi", $numero, $modalidade, $objeto, $data, $pa, $status, $id);
        if ($stmt->execute()) {
            $_SESSION['success_message'] = "Edital atualizado com sucesso.";
            header('Location: ../../editais.php');
            exit;
        } else {
            $_SESSION['danger_message'] = "Erro ao atualizar edital no portal.";
            header('Location: ../../editais.php');
            exit;
        }
        $stmt->close();
    } else {
        echo "Erro na preparação do comando SQL: " . $conn->error;
    }
}

// Verifica se o ID foi passado por GET para exclusão de edital
if (isset($_GET['id'])) {
    $id = $_GET['id'];

    // Verifica se o ID é um número inteiro válido
    if (ctype_digit($id)) {
        $sql = "DELETE FROM licitacoes WHERE id = ?";

        // Prepara e executa o comando SQL com declaração preparada
        if ($stmt = $conn->prepare($sql)) {
            $stmt->bind_param("i", $id);
            if ($stmt->execute()) {
                $_SESSION['success_message'] = "Edital Excluído.";
                header('Location: ../../edital');
                exit;
            } else {
                $_SESSION['danger_message'] = "Erro ao excluir edital.";
                header('Location: ../../edital');
                exit;
            }
            $stmt->close();
        } else {
            echo "Erro na preparação do comando SQL: " . $conn->error;
        }
    }
}

$conn->close();
