<?php
session_start();
// Parâmetros de conexão com o banco de dados
include('../Config/config.php');

// Verificar se é uma requisição para inserir uma nova notícia
if ($_SERVER["REQUEST_METHOD"] == "POST" && isset($_POST['inserir'])) {
    $nome = $_POST['nome'];
    $descricao = $_POST['descricao'];
    $orgao_emissor = "Câmara Municipal de Aramari- Ba";
    $texto = $_POST['texto'];
    
    // Informações do arquivo de imagem
    $imagem = $_FILES['imagem'];
    $imagem_nome = $imagem['name'];
    $imagem_tmp = $imagem['tmp_name'];
    $imagem_caminho = "../../../public/images/noticias/" . $imagem_nome;
    
    // Conexão com o banco de dados
    $conn = new mysqli($servername, $username, $password, $dbname);
    if ($conn->connect_error) {
        die("Falha na conexão com o banco de dados: " . $conn->connect_error);
    }
    
    // Preparação e execução da query SQL para inserção da notícia
    $sql = "INSERT INTO noticias (nome, descricao, orgao_emissor, texto, created_at, updated_at, url_img) VALUES (?, ?, ?, ?, NOW(), NOW(), ?)";
    $stmt = $conn->prepare($sql);
    $stmt->bind_param("sssss", $nome, $descricao, $orgao_emissor, $texto, $imagem_nome);
    
    if ($stmt->execute()) {
        $noticia_id = $stmt->insert_id;
        
        // Fazer o upload da imagem para a pasta
        move_uploaded_file($imagem_tmp, $imagem_caminho);
        
        $_SESSION['success_message'] = "NOTICIA CADASTRADA COM SUCESSO.";
        header('Location: ../../noticias');
    } else {
        $_SESSION['erro_message'] = "NOTICIA NÃO CADASTRADA.";
        header('Location: ../../noticias');
    }
    $stmt->close();
    $conn->close();
}

// Verificar se é uma requisição para atualizar uma notícia
if ($_SERVER["REQUEST_METHOD"] == "POST" && isset($_POST['atualizar'])) {
    $id = $_POST['id'];
    $nome = $_POST['nome'];
    $descricao = $_POST['descricao'];
    $texto = $_POST['texto'];
    $url_img_atual = $_POST['url_img_atual']; // Obtenha a url_img atual do campo oculto
    
    // Informações do arquivo de imagem
    $imagem = $_FILES['imagem'];
    $imagem_nome = $imagem['name'];
    $imagem_tmp = $imagem['tmp_name'];
    $imagem_caminho = "../../../public/images/noticias/" . $imagem_nome;
    
    // Verifique se uma nova imagem foi fornecida
    if (!empty($imagem_nome)) {
        // Remova a imagem anterior
        if (!empty($url_img_atual)) {
            unlink("../../../public/images/noticias/" . $url_img_atual);
        }
        
        // Faça o upload da nova imagem
        move_uploaded_file($imagem_tmp, $imagem_caminho);
    } else {
        // Se nenhuma nova imagem foi fornecida, mantenha a url_img atual
        $imagem_nome = $url_img_atual;
    }
    
    // Conexão com o banco de dados
    $conn = new mysqli($servername, $username, $password, $dbname);
    if ($conn->connect_error) {
        die("Falha na conexão com o banco de dados: " . $conn->connect_error);
    }
    
    // Preparação e execução da query SQL para atualizar a notícia
    $sql = "UPDATE noticias SET nome = ?, descricao = ?, texto = ?, updated_at = NOW(), url_img = ? WHERE id = ?";
    $stmt = $conn->prepare($sql);
    $stmt->bind_param("ssssi", $nome, $descricao, $texto, $imagem_nome, $id);
    
    if ($stmt->execute()) {
        $_SESSION['success_message'] = "NOTICIA ATUALIZADA COM SUCESSO.";
        header('Location: ../../noticias');
    } else {
        $_SESSION['erro_message'] = "NOTICIA NÃO ATUALIZADA.";
        header('Location: ../../noticias');
    }
    $stmt->close();
    $conn->close();
}

// Verificar se é uma requisição para deletar uma notícia
if (isset($_GET['id'])) {
    $id = $_GET['id'];
    // Verifica se o ID é um número inteiro válido
    if (ctype_digit($id)) {
        // Executa a query para excluir a notícia com o ID fornecido
        $conn = new mysqli($servername, $username, $password, $dbname);
        if ($conn->connect_error) {
            die("Falha na conexão com o banco de dados: " . $conn->connect_error);
        }
        
        // Obtém a url_img da notícia antes de excluí-la
        $sql = "SELECT url_img FROM noticias WHERE id = $id";
        $result = $conn->query($sql);
        if ($result->num_rows > 0) {
            $row = $result->fetch_assoc();
            $url_img = $row['url_img'];
            
            // Remove a imagem da notícia
            if (!empty($url_img)) {
                unlink("../../../public/images/noticias/" . $url_img);
            }
        }
        
        // Executa a query para excluir a notícia
        $sql = "DELETE FROM noticias WHERE id = $id";
        if (mysqli_query($conn, $sql)) {
            // Exclusão bem-sucedida, redireciona para a página de sucesso
            $_SESSION['success_message'] = "SUCESSO.";
            header('Location: ../../noticias');
            exit;
        } else {
            // Erro na exclusão, redireciona para a página de erro
            $_SESSION['danger_message'] = "ERRO.";
            header('Location: ../../noticias');
            exit;
        }
        
        $conn->close();
    }
}
?>
