<?php 
//Conection Database
include('../Config/config.php');
mysqli_query($conn, "SET FOREIGN_KEY_CHECKS=0");
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    // Verifica se o campo oculto "acao" está definido
    if (isset($_POST['acao'])) {
        // Envio do formulário de criação
        $nomeCompleto = $_POST['nome'];
        $nomeParlamentar = $_POST['nome_par'];
        $ocupacao = $_POST['ocupacao'];
        $naturalidade = $_POST['naturalidade'];
        $partido = $_POST['partido'];
        $dataNascimento = $_POST['dat_nasc'];
        $telefone = $_POST['tel'];
        $email = $_POST['email'];
        $legislatura = $_POST['legislatura'];

        // Realize as validações e sanitizações necessárias nos dados recebidos

        $nomeFoto = ""; // Initialize the variable for the image file name

        // Check if a file has been uploaded
        if (isset($_FILES["foto"]["name"]) && !empty($_FILES["foto"]["name"])) {
            // A file has been uploaded
            $imagem =  $_FILES["foto"]["name"];
            $imagemTmp = $_FILES["foto"]["tmp_name"];
        
            // Realize o upload da foto para o diretório desejado
            $diretorioUpload = "../../../uploads/parlamentares/"; // Defina o caminho do diretório de upload
            $nomeFoto = basename($imagem); // Obtém o nome do arquivo
            $caminhoCompleto = $diretorioUpload . $nomeFoto; // Caminho completo do arquivo de upload

            if (!move_uploaded_file($imagemTmp, $caminhoCompleto)) {
                // Erro no upload da foto
                $_SESSION['error_message'] = "Erro no upload da foto.";
                header('Location: ../../legislatura');
                exit;
            }
        }

        // Consulta SQL INSERT para criar um novo registro no banco de dados
        $sql_insert = "INSERT INTO parlamentares (nome_completo, nome_parlamentar, ocupacao, url_img, naturalidade, partido, 
                        data_nascimento, telefone, email, legislatura) 
                        VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?)";

        $stmt = $conn->prepare($sql_insert);

        // Bind the parameters to the prepared statement
        $stmt->bind_param("ssssssssss", $nomeCompleto, $nomeParlamentar, $ocupacao, $nomeFoto, $naturalidade, $partido, 
                          $dataNascimento, $telefone, $email, $legislatura);

        if ($stmt->execute()) {
            // Novo parlamentar criado com sucesso
            $_SESSION['success_message'] = "Novo parlamentar criado com sucesso.";
            header('Location: ../../legislatura');
        } else {
            // Erro ao criar o parlamentar
            $_SESSION['error_message'] = "Erro ao criar o parlamentar: " . $stmt->error;
            header('Location: ../../legislatura');
        }

        $stmt->close();
    }
}
//Deletar Parlamentares

// Verifica se o parâmetro "id" foi enviado pela URL
if (isset($_GET['id'])) {
    $id = $_GET['id'];
    
    // Verifica se o ID é um número inteiro válido
    if (ctype_digit($id)) {
        // Executa a query para excluir a transmissão com o ID fornecido
        $sql = "DELETE FROM parlamentares WHERE id = $id";
        
        if (mysqli_query($conn, $sql)) {
            // Exclusão bem-sucedida, redireciona para a página de sucesso
            $_SESSION['success_message'] = "Parlamentar foi excluído com sucesso.";
            header('Location: ../../legislatura');
            exit;
        } else {
            // Erro na exclusão, redireciona para a página de erro
            $_SESSION['danger_message'] = "Erro ao excluir a Parlamentar.";
            header('Location: ../../legislatura');
            exit;
        }
    }
}


$conn->close();
?>
    