<?php session_start();

// Ocultar erros
error_reporting(0);
ini_set('display_errors', 0);

$email = $_SESSION['email'];

require('src/Controllers/authController.php');
// Verificar se a sessão 'loggedin' não está definida
if (!isset($_SESSION['loggedin']) || $_SESSION['loggedin'] !== true) {
	// Redirecionar para a página de login
	header('Location: index.php');
	exit();
}

include('src/Config/config.php');


?>
<!DOCTYPE html>
<html lang="en">

<head>
	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">


	<link rel="preconnect" href="https://fonts.gstatic.com">
	<link rel="shortcut icon" href="img/icons/icon-48x48.png" />
	<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>


	<link rel="canonical" href="https://demo-basic.adminkit.io/" />

	<title>Administração do Portal</title>

	<link href="static/css/app.css" rel="stylesheet">
	<link href="static/css/custom.css" rel="stylesheet">
	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css" integrity="sha512-pzj2V4GHvJUJ7Z7uSA6K/2rf+8oJVtk6q5f1CrO4N9Jk6LUwFcDLb2QwIvOhBK50MJRvbk3B1sSjM92F1//8DQ==" crossorigin="anonymous" referrerpolicy="no-referrer" />
	<link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.11.2/css/jquery.dataTables.min.css">

	<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
	<script src="https://cdn.datatables.net/1.11.2/js/jquery.dataTables.min.js"></script>
	<script>
		$(document).ready(function() {
			$('#tabela').DataTable();
		});
	</script>

	<link href="https://fonts.googleapis.com/css2?family=Inter:wght@300;400;600&display=swap" rel="stylesheet">

	<script src="static/js/app.js"></script>
	<link rel="stylesheet" href="dist/css/button.css">
	<script src="src/js/button.js"></script>
</head>

<body>
	<div class="wrapper">
		<nav id="sidebar" class="sidebar js-sidebar">
			<div class="sidebar-content js-simplebar">
				<a class="sidebar-brand" href="index.html">
					<span class="align-middle">Administração</span>
				</a>

				<ul class="sidebar-nav">
					<li class="sidebar-header">
						Modulos
					</li>

					<li class="sidebar-item active">
						<a class="sidebar-link" href="home">
							<i class="align-middle" data-feather="sliders"></i> <span class="align-middle">Dashboard</span>
						</a>
					</li>

					<li class="sidebar-item">
						<a class="sidebar-link" href="legislatura">
							<i class="align-middle" data-feather="user"></i> <span class="align-middle">Legislatura</span>
						</a>
					</li>

					<li class="sidebar-item">
						<a class="sidebar-link" href="documentonaintegra">
							<i class="align-middle" data-feather="user"></i> <span class="align-middle">Documentação na Integra</span>
						</a>
					</li>


					<li class="sidebar-item">
						<a class="sidebar-link" href="cargos">
							<i class="align-middle" data-feather="users"></i> <span class="align-middle">Cargos</span>
						</a>
					</li>

					<li class="sidebar-item">
						<a class="sidebar-link" href="noticias">
							<i class="align-middle" data-feather="bookmark"></i> <span class="align-middle">Noticias</span>
						</a>
					</li>

					<li class="sidebar-item">
						<a class="sidebar-link" href="ouvidoria">
							<i class="align-middle" data-feather="message-circle"></i> <span class="align-middle">Ouvidoria</span>
						</a>
					</li>

					<li class="sidebar-item">
						<a class="sidebar-link" href="esic">
							<i class="align-middle" data-feather="users"></i> <span class="align-middle">E-sic</span>
						</a>
					</li>

					<li class="sidebar-item">
						<a class="sidebar-link" href="tvcamara">
							<i class="align-middle" data-feather="tv"></i> <span class="align-middle">Tv Câmara</span>
						</a>
					</li>

					<li class="sidebar-item">
						<a class="sidebar-link" href="edital">
							<i class="align-middle" data-feather="book"></i> <span class="align-middle">Editais de Licitações</span>
						</a>
					</li>

					<li class="sidebar-header">
						Tema e Visual
					</li>

					<li class="sidebar-item">
						<a class="sidebar-link" href="menu">
							<i class="align-middle" data-feather="align-left"></i> <span class="align-middle">Menus</span>
						</a>
					</li>

					<li class="sidebar-item">
						<a class="sidebar-link" href="tema">
							<i class="align-middle" data-feather="layout"></i> <span class="align-middle">Tema do Portal</span>
						</a>
					</li>

					<li class="sidebar-item">
						<a class="sidebar-link" href="servicos">
							<i class="align-middle" data-feather="grid"></i> <span class="align-middle">Serviços</span>
						</a>
					</li>

					<li class="sidebar-item">
						<a class="sidebar-link" href="banner">
							<i class="align-middle" data-feather="align-left"></i> <span class="align-middle">Banners</span>
						</a>
					</li>
					<li class="sidebar-item">
						<a class="sidebar-link" href="usuarios">
							<i class="align-middle" data-feather="align-left"></i> <span class="align-middle">Usuários</span>
						</a>
					</li>
				</ul>
			</div>
		</nav>

		<div class="main">
			<nav class="navbar navbar-expand navbar-light navbar-bg">
				<a class="sidebar-toggle js-sidebar-toggle">
					<i class="hamburger align-self-center"></i>
				</a>

				<div class="navbar-collapse collapse">
					<ul class="navbar-nav navbar-align">
						<li class="nav-item dropdown">

						</li>
						<li class="nav-item dropdown">

						</li>
						<li class="nav-item dropdown">
							<a class="nav-icon dropdown-toggle d-inline-block d-sm-none" href="#" data-bs-toggle="dropdown">
								<i class="align-middle" data-feather="settings"></i>
							</a>

							<a class="nav-link dropdown-toggle d-none d-sm-inline-block" href="#" data-bs-toggle="dropdown">
								<span class="text-dark"><?php echo  $_SESSION['email']; ?></span>
							</a>
							<div class="dropdown-menu dropdown-menu-end">

								<a class="dropdown-item" href="logout.php">Sair</a>
							</div>
						</li>
					</ul>
				</div>
			</nav>