<?php include('src/View/Layout/main.php'); ?>
<main class="content">
    <div class="container-fluid p-0">
        <h1 class="h3 mb-3">Tv Câmara <i class="align-middle" data-feather="tv"></i></h1>
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-header">
                        <h5 class="card-title mb-0">Gerenciar Transmissões</h5>
                        <div class="container text-center">
                            <div class="row align-items-start">
                                <div class="col-sm-4">
                                    <br>
                                    <button type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#exampleModal">
                                        Cadastrar Nova Transmissão
                                    </button>
                                </div>
                                <div class="col-sm-6">
                                    <?php // Verifique se a mensagem está definida na sessão
                                    if (isset($_SESSION['success_message'])) {
                                        echo "<div class='alert success'>" . $_SESSION['success_message'] . "<span class='close-icon'><i class='fas fa-times'></i></span></div>";
                                        unset($_SESSION['success_message']);
                                    }

                                    // Mensagem de erro
                                    if (isset($_SESSION['error_message'])) {
                                        echo "<div class='alert error'>" . $_SESSION['error_message'] . "<span class='close-icon'><i class='fas fa-times'></i></span></div>";
                                        unset($_SESSION['error_message']);
                                    }
                                    ?>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="card-body">
                        <!-- Modal -->
                        <div class="modal fade" id="exampleModal" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="staticBackdropLabel" aria-hidden="true">
                            <div class="modal-dialog">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h1 class="modal-title fs-5" id="exampleModal">Nova Transmissão</h1>
                                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                    </div>
                                    <div class="modal-body">
                                        <form action="src/Controllers/tvcamaraController.php" method="POST">
                                            <div class="mb-3">
                                                <label for="exampleInputEmail1" class="form-label">Descrição</label>
                                                <input type="text" name="descricao" class="form-control" id="exampleInputEmail1" aria-describedby="emailHelp">
                                                <div id="emailHelp" class="form-text">Informe a Descrição da Sessão.</div>
                                            </div>
                                            <div class="mb-3">
                                                <label for="exampleInputPassword1" class="form-label">Link da transmissão (final da url do youtube, link total do iframe do facebook, ou link da twitch)</label>
                                                <input type="text" name="link" class="form-control" id="exampleInputPassword1">
                                            </div>
                                            <div class="mb-3">
                                                <label for="exampleInputPassword1" class="form-label">Data da Transmissão</label>
                                                <input type="date" class="form-control" name="data_cad" id="exampleInputPassword1">
                                            </div>
                                            
                                            <div class="mb-3">
                                                <label for="exampleInputPassword1" class="form-label">plataforma de Streamer</label>
                                                <select  class="form-control" name="plataforma" id="exampleInputPassword1">
                                                <option>SELECIONE UMA PLATAFORMA</option>    
                                                <option value="facebook">FACEBOOK</option>
                                                <option value="youtube">YOUTUBE</option>
                                                <option value="twitch">TWITCH TV</option>
                                            </select>
                                            </div>


                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Fechar</button>
                                        <button type="submit" class="btn btn-primary">Salvar</button>
                                        </form>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!-- Modal de Confirmação -->
<div class="modal fade" id="modal-confirmacao" tabindex="-1" aria-labelledby="modal-confirmacao-label" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="modal-confirmacao-label">Confirmação de Exclusão</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <p>Deseja realmente excluir esta transmissão?</p>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cancelar</button>
                <button id="btn-confirmar-exclusao" type="button" class="btn btn-danger">Excluir</button>
            </div>
        </div>
    </div>
</div>
                                    <?php
                                    echo "<table id='tabela' class='display'>";
                                    echo "<thead>";
                                    echo "<tr>";
                                    echo "<th>Data da Sessão</th>";
                                    echo "<th>Descrição</th>";
                                    echo "<th>Ações</th>"; // Nova coluna para o botão de exclusão
                                    echo "</tr>";
                                    echo "</thead>";
                                    echo "<tbody>";
                                    ?>                            
                                <?php
                                // Query SQL para selecionar os dados da tabela tv_camaras
                                $sql = "SELECT `id`, `url`, `data_sessao`, `descricao`, `created_at`, `updated_at` FROM `tv_camaras` ORDER BY id DESC";
                                $result = $conn->query($sql);

                                // Verifica se existem registros retornados pela consulta
                                if ($result->num_rows > 0) {
                                    while ($row = $result->fetch_assoc()) {
                                        echo "<tr>";
                                        echo "<td>" . $row["data_sessao"] . "</td>";
                                        echo "<td>" . $row["descricao"] . "</td>";
                                        echo "<td><button class='btn btn-danger btn-excluir' data-id='" . $row["id"] . "'>Excluir</button></td>"; // Botão de exclusão
                                        echo "</tr>";
                                    }


                                    echo "</tbody>";
                                    echo "</table>";
                                } else {
                                    echo "Nenhuma transmissão foi cadastrada.";
                                }

                                // Fecha a conexão com o banco de dados
                                $conn->close();
                                ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
    </div>
    </div>
    </div>
    </div>
</main>
</body>
<script>
    $(document).ready(function() {
        // Captura o clique no botão de exclusão
        $('.btn-excluir').click(function() {
            // Obtém o ID da transmissão a ser excluída
            var id = $(this).data('id');
            
            // Exibe o modal de confirmação
            $('#modal-confirmacao').modal('show');
            
            // Captura o clique no botão de confirmação no modal
            $('#btn-confirmar-exclusao').click(function() {
                // Redireciona para o arquivo tvcamaraController.php com o parâmetro id definido
                window.location.href = 'src/Controllers/tvcamaraController.php?id=' + id;
            });
        });
    });
</script>
</html>