<?php include('src/View/Layout/main.php');
include('src/Models/user.php');
?>


<main class="content">
    <br>
    <div class="col-sm-6">
        <?php // Verifique se a mensagem está definida na sessão
        if (isset($_SESSION['success_message'])) {
            echo "<div class='alert success'>" . $_SESSION['success_message'] . "<span class='close-icon'><i class='fas fa-times'></i></span></div>";
            unset($_SESSION['success_message']);
        }

        // Mensagem de erro
        if (isset($_SESSION['error_message'])) {
            echo "<div class='alert error'>" . $_SESSION['error_message'] . "<span class='close-icon'><i class='fas fa-times'></i></span></div>";
            unset($_SESSION['error_message']);
        }
        ?>
    </div>
    <button type="button" class="btn btn-primary btn-lg float-end" data-bs-toggle="modal" data-bs-target="#cad_novopar">
        <i class="me-2" data-feather="user-plus"></i>Novo Usuário
    </button>
    <h1 class="h3 mb-3">Usuários cadastrados no sistema<i class="align-middle ms-2" data-feather="users"></i></h1>
    <div class="row mt-4">
        <div class="col-12">
            <div class="card w-100">
                <div class="card-header">
                    <h5 class="card-title mb-0 fw-bold text-primary">Gerenciar Usuários</h5>
                    <div class="card-body">

                        <!-- Modal de Confirmação -->
                        <div class="modal fade" id="modal-confirmacao" tabindex="-1" aria-labelledby="modal-confirmacao-label" aria-hidden="true">
                            <div class="modal-dialog">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h5 class="modal-title" id="modal-confirmacao-label">Confirmação de Exclusão
                                        </h5>
                                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                    </div>
                                    <div class="modal-body">
                                        <p>Deseja realmente excluir?</p>
                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cancelar</button>
                                        <button id="btn-confirmar-exclusao" type="button" class="btn btn-danger">Excluir</button>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="modal fade" id="cad_novopar" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="staticBackdropLabel" aria-hidden="true">
                            <div class="modal-dialog">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h1 class="modal-title fs-5" id="cad_novopar">Novo Usuário</h1>
                                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                    </div>
                                    <div class="modal-body">
                                        <form action="src/Controllers/userController.php" method="post">
                                            <div class="mb-3">
                                                <label for="nome" class="form-label fw-bold">NOME</label>
                                                <input type="text" name="name" class="form-control" aria-describedby="">
                                            </div>
                                            <div class="mb-3">
                                                <label for="email" class="form-label fw-bold">EMAIL</label>
                                                <input type="text" name="email" class="form-control" aria-describedby="">
                                            </div>
                                            <div class="mb-3">
                                                <label for="senha" class="form-label fw-bold">SENHA</label>
                                                <input type="password" name="password" class="form-control" aria-describedby="">
                                            </div>
                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-danger" data-bs-dismiss="modal">Cancelar</button>
                                        <button type="submit" class="btn btn-primary"><i class="me-2" data-feather="user-plus"></i>Criar</button>
                                        </form>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="modal fade" id="edit" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="staticBackdropLabel" aria-hidden="true">
                            <div class="modal-dialog">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h1 class="modal-title fs-5" id="edit">Editar Usuário</h1>
                                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                    </div>
                                    <div class="modal-body">
                                        <form action="src/Controllers/sendUserController.php" method="post">
                                            <input type="hidden" name="id" value="">
                                            <div class="mb-3">
                                                <label for="admin" class="form-label fw-bold">ADMIN</label>
                                                <select class="form-select" aria-label="Default select example" name="admin">
                                                    <option selected>Selecione SIM ou NÃO</option>
                                                    <option value="true">SIM</option>
                                                    <option value="false">NÃO</option>
                                                </select>
                                            </div>
                                            <div class="mb-3">
                                                <label for="menus" class="form-label fw-bold">MENUS</label>
                                                <select class="form-select" id="menus" name="menus[]" multiple aria-label="Multiple select example">
                                                    <option value="home" selected>Home</option>
                                                    <option value="legislatura">Legislatura</option>
                                                    <option value="cargos">Cargos</option>
                                                    <option value="documentonaintegra">Documentação na Integra</option>
                                                    <option value="noticias">Notícias</option>
                                                    <option value="ouvidoria">Ouvidoria</option>
                                                    <option value="tvcamara">TV Câmara</option>
                                                    <option value="menu">Menus</option>
                                                    <option value="esic">E-sic</option>
                                                    <option value="edital">Editais de Licitações</option>
                                                    <option value="tema">Tema do Portal</option>
                                                    <option value="servicos">Serviços</option>
                                                    <option value="banner">Banners</option>
                                                    <option value="usuarios">Usuários</option>
                                                    <!-- Adicione mais opções conforme necessário -->
                                                </select>
                                            </div>
                                            <div class="mb-3">
                                                <label for="autorizado" class="form-label fw-bold">AUTORIZAÇÃO PARA ACESSAR A ADMINISTRAÇÃO</label>
                                                <select class="form-select" aria-label="Default select example" name="autorizado">
                                                    <option selected>Selecione SIM ou NÃO</option>
                                                    <option value="true">SIM</option>
                                                    <option value="false">NÃO</option>
                                                </select>
                                            </div>
                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-danger" data-bs-dismiss="modal">Cancelar</button>
                                        <button type="submit" class="btn btn-primary"><i class="me-2" data-feather="edit-2"></i>Editar</button>
                                        </form>
                                    </div>
                                </div>
                            </div>
                        </div>




                        <section class="">
                            <table class="table  table-hover">
                                <thead>
                                    <tr>
                                        <th class="col-3">NOME</th>
                                        <th class="col-3">EMAIL</th>
                                        <th class="col-3">ADMIN</th>
                                        <th class="col-3">MENUS</th>
                                        <th class="col-3">AUTORIZAÇÃO</th>
                                        <th></th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php
                                    if ($result->num_rows > 0) {
                                        while ($row = $result->fetch_assoc()) {
                                            $nome = $row['name'];
                                            $email = $row['email'];
                                            $admin = $row['master'];
                                            $permissoes = $row['menus_acesso'];
                                            $autorizado = $row['autorizado'];
                                            echo
                                            '<tr>
                                <th scope="row" class="text-primary" id="car1">' . $nome . '</th>
                                <th  class="text-primary" id="car1">' . $email . '</th>
                                <th  class="text-primary" id="car1">' . $admin . '</th>
                                <th  class="text-primary text-break" id="car1">' . $permissoes . '</th>
                                <th  class="text-primary" id="car1">' . $autorizado . '</th>
                                <td><a class="text-decoration-none" href="#"><button class="btn btn-primary btn-editar" data-id="' . $row["id"] . '">Editar</button></a></td>
                                <td><a class="text-decoration-none" href="#"><button class="btn btn-danger btn-excluir" data-id="' . $row["id"] . '">Excluir</button></td>
                                </tr>';
                                        }
                                    }
                                    ?>

                                </tbody>
                            </table>
                        </section>


                    </div>
                </div>
            </div>
        </div>
    </div>
</main>
</body>
<script>
    $(document).ready(function() {
        // Captura o clique no botão de exclusão
        $('.btn-excluir').click(function() {
            // Obtém o ID da transmissão a ser excluída
            var id = $(this).data('id');

            // Exibe o modal de confirmação
            $('#modal-confirmacao').modal('show');

            // Captura o clique no botão de confirmação no modal
            $('#btn-confirmar-exclusao').click(function() {
                // Redireciona para o arquivo tvcamaraController.php com o parâmetro id definido
                window.location.href = 'src/Controllers/userController.php?id=' + id;
            });
        });
    });



    $(document).ready(function() {
        // Captura o clique no botão de edição
        $('.btn-editar').click(function() {
            // Obtém o ID do usuário
            var id = $(this).data('id');
            // Adiciona o ID ao input hidden no formulário no modal
            $('#edit').find('input[name="id"]').val(id);
            // Exibe o modal de edição
            $('#edit').modal('show');
        });
    });
</script>